<?php
/************************************************************************
 * MXChange v0.2.1                                    Start: 10/19/2003 *
 * ===============                              Last change: 08/12/2004 *
 *                                                                      *
 * -------------------------------------------------------------------- *
 * File              : what-points.php                                  *
 * -------------------------------------------------------------------- *
 * Short description : All your collected points...                     *
 * -------------------------------------------------------------------- *
 * Kurzbeschreibung  : Alle Ihrer gesammelten Punkte                    *
 * -------------------------------------------------------------------- *
 * $Revision::                                                        $ *
 * $Date::                                                            $ *
 * $Tag:: 0.2.1-FINAL                                                 $ *
 * $Author::                                                          $ *
 * Needs to be in all Files and every File needs "svn propset           *
 * svn:keywords Date Revision" (autoprobset!) at least!!!!!!            *
 * -------------------------------------------------------------------- *
 * Copyright (c) 2003 - 2008 by Roland Haeder                           *
 * For more information visit: http://www.mxchange.org                  *
 *                                                                      *
 * This program is free software; you can redistribute it and/or modify *
 * it under the terms of the GNU General Public License as published by *
 * the Free Software Foundation; either version 2 of the License, or    *
 * (at your option) any later version.                                  *
 *                                                                      *
 * This program is distributed in the hope that it will be useful,      *
 * but WITHOUT ANY WARRANTY; without even the implied warranty of       *
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the        *
 * GNU General Public License for more details.                         *
 *                                                                      *
 * You should have received a copy of the GNU General Public License    *
 * along with this program; if not, write to the Free Software          *
 * Foundation, Inc., 51 Franklin St, Fifth Floor, Boston,               *
 * MA  02110-1301  USA                                                  *
 ************************************************************************/

// Some security stuff...
if (!defined('__SECURITY')) {
	$INC = substr(dirname(__FILE__), 0, strpos(dirname(__FILE__), '/inc') + 4) . '/security.php';
	require($INC);
}

//
function PAYOUT_OUTPUT_PAYOUT_LIST ($points) {
	// Replace german decimal comma with CPU's decimal dot
	$points = convertCommaToDot($points);

	// Enougth points?
	if ($points > 0) {
		// Pay this out!
		$result = SQL_QUERY_ESC("SELECT id, type, rate, min_points
FROM `{!_MYSQL_PREFIX!}_payout_types`
WHERE %s >= min_points
ORDER BY type", array($points), __FUNCTION__, __LINE__);
		if (SQL_NUMROWS($result) > 0) {
			OUTPUT_HTML("<br /><div align=\"center\">
<div align=\"center\"><strong>{--PAYOUT_NOW--}:</strong></div><br />
<ul>");
			// Now let's check
			while ($content = SQL_FETCHARRAY($result)) {
				// Compile the type
				$content['type'] = COMPILE_CODE($content['type']);

				// Are these points enougth?
				if ($points >= $content['min_points']) {
					// Ok we found one
					$P = $points * $content['rate'] - 0.5;
					OUTPUT_HTML("<li>{--PAYOUT_IN--}: <strong><a href=\"{!URL!}/modules.php?module=login&amp;what=payout&amp;payout=".$content['id']."\">".$content['type']." ({--PAYOUT_MAX--} ".round($P)." ".$content['type'].")</a></strong></li>");
				} // END - if
			} // END - while

			OUTPUT_HTML("</ul></div>");
		} else {
			// No payout types setup so far
			LOAD_TEMPLATE('admin_settings_saved', false, "<div class=\"guest_failed\">{--PAYOUT_NO_PAYOUT_TYPES--}</div");
		}

		// Free memory
		SQL_FREERESULT($result);
	} else {
		// Points is empty
		LOAD_TEMPLATE('admin_settings_saved', false, "<div class=\"guest_failed\">{--PAYOUT_NO_POINTS_ENTERED--}</div");
	}
}

// [EOF]
?>
